OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlData

# VrmlData_Color Class Reference

`#include <VrmlData_Color.hxx>`

Inheritance diagram for VrmlData_Color:

[legend]

## Public Member Functions
| VrmlData_Color ()
| VrmlData_Color (const VrmlData_Scene &theScene, const char *theName, const size_t nColors=0, const gp_XYZ *arrColors=0L)
const Quantity_Color | Color (const Standard_Integer i) const
void | SetColors (const size_t nColors, const gp_XYZ *arrColors)
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const

## Detailed Description

Implementation of the node Color

## Constructor & Destructor Documentation

VrmlData_Color::VrmlData_Color | ( |  | ) | `[inline]`

| Empty constructor.

VrmlData_Color::VrmlData_Color | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const size_t | nColors = `0`,
|  | const gp_XYZ * | arrColors = `0L`
| ) | `[inline]`

| Constructor.

## Member Function Documentation

const Quantity_Color VrmlData_Color::Color | ( | const Standard_Integer | i | ) | const`[inline]`

  | Query one color Parameters:
  | i | index in the array of colors [0 .. N-1]
Returns: the color value for the index. If index irrelevant, returns (0., 0., 0.)

virtual Standard_EXPORT VrmlData_Color::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Color::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the Node from input stream. Implements VrmlData_Node.

void VrmlData_Color::SetColors | ( | const size_t | nColors,
|  | const gp_XYZ * | arrColors
| ) | `[inline]`

| Set the array data

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Color::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to the Scene output. Reimplemented from VrmlData_Node.

The documentation for this class was generated from the following file:

- VrmlData_Color.hxx